# rc_sta_stats Struct Reference
[RC]

Rate control structure. More...

`#include <rc.h>`

Collaboration diagram for rc_sta_stats:
[legend]

## Data Fields
uint32_t | last_rc_time
| Last time the RC has run.
struct rc_rate_stats | rate_stats [RC_MAX_N_SAMPLE+NX_HE]
| Statistics table, per sample.
uint16_t | retry_step_idx [RATE_CONTROL_STEPS]
| Retry chain steps.
uint16_t | ampdu_len
| Number of MPDUs transmitted (per sampling interval).
uint16_t | ampdu_packets
| Number of AMPDUs transmitted (per sampling interval).
uint32_t | avg_ampdu_len
| Average number of MPDUs in each AMPDU frame (EWMA).
uint16_t | sample_wait
| Trial transmission period.
uint8_t | sample_slow
| Counter used to regulate the use of lower rates for trial transmission.
uint8_t | trial_status
| Status of the trial transmission.
uint32_t | trial_rate
| Trial rate configuration.
uint8_t | trial_idx
| Index of the trial sample in the rate_stats table.
uint8_t | info
| Information field: bit 0 : position of the trial entry in the retry chain (0=step 0, 1=step 1) bit 1 : whether next transmission could be part of a AMPDU bit 2 : whether aggregation is allowed by the rate control bit 3 : whether the number of SW retry request has been exceeded, and it's necessary to use the next step of the retry chain for the next transmission bit 4-5 : fixed rate status bit 6 : whether the sample table needs to be updated.
uint8_t | retry_chain_ver
| Current version of the retry chain.
uint8_t | sw_retry_step
| Current step 0 of the retry chain.
uint8_t | format_mod
| Format and modulation of the station.
union {
uint8_t ht [4]
| Bit 0-31: MCS0-MCS31 bitmask MCS0-7 : 1SS MCS8-15 : 2SS MCS16-23 : 3SS MCS24-31 : 4SS.
} | rate_map
| Allowed HT/VHT rates.
uint16_t | rate_map_l
| Allowed legacy rates Bit 0-3 : 1, 2, 5.5, 11 Mbps CCK Bit 4-11: 6-54 Mbps OFDM.
uint8_t | mcs_max
| Maximum MCS supported (0xFF if HT rates not supported).
uint8_t | r_idx_min
| Minimum rate index supported.
uint8_t | r_idx_max
| Maximum rate index supported.
uint8_t | bw_max
| Maximum BW supported - 0: 20MHz, 1: 40MHz, 2: 80MHz, 3: 160MHz.
uint8_t | no_ss
| Number of spatial streams supported minus 1.
uint8_t | short_gi
| Short GI supported.
uint8_t | type
| Preamble type supported - 0: short and long, 1: only long.
uint16_t | no_samples
| Number of samples for statistics.
uint16_t | max_amsdu_len
| Maximum allowed AMSDU size.
uint16_t | curr_amsdu_len
| Currently allowed AMSDU size.
uint16_t | fixed_rate_cfg
| Fixed rate configuration - 0xFFFF if disabled.

## Detailed Description

Rate control structure.

Definition at line 170 of file rc.h.

The documentation for this struct was generated from the following file:

- /space/home/slher/rel/Beken/v6_4_5/macsw/ip/umac/src/rc/rc.h